<div class="card" id="questions">
  <div class="card-divider">
    <h2 class="card-title">
      <%= t "decidim.admin.titles.questions" %>
      <%= link_to t("actions.new_question", scope: "decidim.admin"),
                  new_consultation_question_path(current_consultation),
                  class: "button tiny button--title" if allowed_to? :create, :question %>
    </h2>
  </div>
  <div class="card-section">
    <div class="table-scroll">
      <table class="table-list">
        <thead>
          <tr>
            <th><%= t("models.question.fields.title", scope: "decidim.admin") %></th>
            <th><%= t("models.question.fields.created_at", scope: "decidim.admin") %></th>
            <th><%= t("models.question.fields.published", scope: "decidim.admin") %></th>
            <th class="table-list__actions"></th>
          </tr>
        </thead>
        <tbody>
          <% @questions.each do |question| %>
            <tr>
              <td>
                <% if allowed_to? :update, :question, question: question %>
                  <%= link_to decidim_sanitize(translated_attribute(question.title)),
                              edit_question_path(question) %>
                  <br>
                <% elsif allowed_to? :preview, :question, question: question %>
                  <%= link_to translated_attribute(question.title),
                              decidim_consultations.question_path(question),
                              target: "_blank" %>
                  <br>
                <% else %>
                  <%= translated_attribute(question.title) %>
                <% end %>
              </td>
              <td>
                <%= l question.created_at, format: :short %>
              </td>
              <td class="table-list__state">
                <% if question.published? %>
                  <strong class="text-success">
                    <%= t("questions.index.published", scope: "decidim.admin") %>
                  </strong>
                <% else %>
                  <strong class="text-alert">
                    <%= t("questions.index.not_published", scope: "decidim.admin") %>
                  </strong>
                <% end %>
              </td>
              <td class="table-list__actions">
                <% if allowed_to? :update, :question, question: question %>
                  <%= icon_link_to "pencil",
                                   edit_question_path(question),
                                   t("actions.configure", scope: "decidim.admin"),
                                   class: "action-icon--edit" %>
                <% end %>

                <% if allowed_to? :preview, :question, question: question %>
                  <%= icon_link_to "eye",
                                   decidim_consultations.question_path(question),
                                   t("actions.preview", scope: "decidim.admin"),
                                   class: "action-icon--preview",
                                   target: "_blank" %>
                <% end %>
              </td>
            </tr>
          <% end %>
        </tbody>
      </table>
    </div>
  </div>
</div>
